using static System.Console;

WriteLine("Mogę działać wszędzie!");

WriteLine($"Wersja systemu operacyjnego {Environment.OSVersion}.");

if (OperatingSystem.IsMacOS())
{
  WriteLine("System to macOS.");
}
else if (OperatingSystem.IsWindowsVersionAtLeast(major: 10))
{
  WriteLine("System to Windows 10 lub 11.");
}
else
{
  WriteLine("To jakiś tajemniczy system.");
}

WriteLine("Naciśnij klawisz ENTER aby zamknąć program.");
ReadLine();
